Skip to main content
`Ctrl`+`K`

# TSPseudoTimeStepDefault

Default code to compute pseudo-timestepping. Use with `TSPseudoSetTimeStep()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSPseudoTimeStepDefault(TS ts, PetscReal *newdt, void *dtctx)

Collective, No Fortran Support

## Input Parameters

- ts - the timestep context

- dtctx - unused timestep context

## Output Parameter

- newdt - the timestep to use for the next step

## See Also

TS: Scalable ODE and DAE Solvers, `TSPseudoSetTimeStep()`, `TSPseudoComputeTimeStep()`, `TSPSEUDO`

## Level

advanced

## Location

src/ts/impls/pseudo/posindep.c

## Examples

src/ts/tutorials/ex1.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages